diff --git a/runtime/src/html/configure.html b/runtime/src/html/configure.html
index 5c5ef84ee..82add2399 100644
--- a/runtime/src/html/configure.html
+++ b/runtime/src/html/configure.html
@@ -11,6 +11,11 @@
       font-size: 14px;
       background-color: #ebeef3;
     }
+    @media screen and (forced-colors: active) {
+      body {
+        forced-color-adjust: none !important;
+      }
+    }
   </style>
 </head>
 <body>
diff --git a/runtime/src/html/pgadmin.html b/runtime/src/html/pgadmin.html
index 91672e807..a52b36dea 100644
--- a/runtime/src/html/pgadmin.html
+++ b/runtime/src/html/pgadmin.html
@@ -27,6 +27,11 @@
           margin-right: auto;
           margin-bottom: 10px;
         }
+        @media screen and (forced-colors: active) {
+          body {
+            forced-color-adjust: none !important;
+          }
+        }
     </style>
 
     <!-- Disable/block all password saving in nw.js -->
diff --git a/runtime/src/html/server_error.html b/runtime/src/html/server_error.html
index 85bc0c048..b9ba75f74 100644
--- a/runtime/src/html/server_error.html
+++ b/runtime/src/html/server_error.html
@@ -11,6 +11,11 @@
       font-size: 14px;
       background-color: #ebeef3;
     }
+    @media screen and (forced-colors: active) {
+      body {
+        forced-color-adjust: none !important;
+      }
+    }
   </style>
 </head>
 <body>
diff --git a/runtime/src/html/view_log.html b/runtime/src/html/view_log.html
index 64740b08c..39367ed7d 100644
--- a/runtime/src/html/view_log.html
+++ b/runtime/src/html/view_log.html
@@ -11,6 +11,11 @@
       font-size: 14px;
       background-color: #ebeef3;
     }
+    @media screen and (forced-colors: active) {
+      body {
+        forced-color-adjust: none !important;
+      }
+    }
   </style>
 </head>
 <body>
diff --git a/web/pgadmin/static/css/pgadmin.css b/web/pgadmin/static/css/pgadmin.css
index cca69229d..416613fa6 100644
--- a/web/pgadmin/static/css/pgadmin.css
+++ b/web/pgadmin/static/css/pgadmin.css
@@ -46,3 +46,9 @@
   line-height: 1;
   -webkit-font-smoothing: antialiased;
 }
+
+@media screen and (forced-colors: active) {
+  body {
+    forced-color-adjust: none !important;
+  }
+}
